// Text
@mixin form-control-validation($text-color: #555, $border-color: #ccc, $background-color: #f5f5f5, $text-color-o: #fff) {
    // Color the label and help text
    .help-block, .control-label, .radio, .checkbox, .radio-inline, .checkbox-inline, &.radio label, &.checkbox label, &.radio-inline label, &.checkbox-inline label {
        color: $text-color;
    }
    // Set the border and box shadow on specific inputs to match
    .form-control {
        border-color: $border-color;
        @include box-shadow(inset 0 1px 1px rgba(0, 0, 0, 0.075));
        // Redeclare so transitions work
        &:focus {
            border-color: darken($border-color, 10%);
            $shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 6px lighten($border-color, 20%);
            @include box-shadow($shadow);
        }
    }
    // Set validation states also for addons
    .input-group-addon {
        color: $text-color-o;
        border-color: $border-color;
        background-color: $background-color;
    }
    // Optional feedback icon
    .form-control-feedback {
        color: $text-color;
    }
}